package ru.dbotthepony.mc.otm.block.entity.worker;

import net.minecraft.util.StringRepresentable;

import javax.annotation.Nonnull;

public enum WorkerState implements StringRepresentable {
	IDLE,
	WORKING,
	ERROR;

	@Override
	@Nonnull
	public String getSerializedName() {
		return this == IDLE ? "idle" : this == WORKING ? "working" : "error";
	}
}
